Skip to main content
Topic: Splitcam Installation (Read 197 times) previous topic - next topic

Splitcam Installation

Hi Newbie here. I can load latest SplitCam using win 10 operating system but cannot load it to a Win 7 operating system. Keep getting the follow error;

"SplitCam requires Windows 10 or newer".

As far I can determine the operating system requirements are Win 7, 8 or 10. Is there a Win 7 version?

Toma1234

Re: Splitcam Installation

Reply #1
Hello Toma
Splitcam version 10 work only with windows 10.

If you want Splitcam on windows 7, you need old version Splitcam 8.